import axios from "@/utils/axios.js";
import axiosShop from "@/utils/axiosShop.js";

// 登录
export const login = (data) => {
    return axios.post('dataview/login', data);
}

// 区县
export const getArea = (data) => {
    return axiosShop.get('city/get_area', { params: data });
}

// 乡镇
export const getStreet = (data) => {
    return axiosShop.get('city/get_street', { params: data });
}

// 订单列表
export const orderList = (data) => {
    return axios.get('dataview/curr_order_info', { params: data });
}

// 订单列表
export const logisticsList = (data) => {
    return axios.get('dataview/logistics_list', { params: data });
}


// 订单排行
export const orderRanking = (data) => {
    return axios.get('dataview/order_ranking', { params: data });
}

// 三轮车订单排行
export const vehicleOrderRanking = (data) => {
    return axios.get('dataview/vehicle_order_ranking', { params: data });
}

// 配送商品排行
export const deliveredProductRanking = (data) => {
    return axios.get('dataview/delivered_product_ranking', { params: data });
}

// 三轮车列表
export const vehicleList = (data) => {
    return axios.get('dataview/vehicle_list', { params: data });
}

// 配送详情
export const latestLogistics = (data) => {
    return axios.get('dataview/latest_logistics', { params: data });
}

// 物流信息
export const logisticsCount = (data) => {
    return axios.get('dataview/logistics_count', { params: data });
}

// 条状图统计信息
export const dateCangeCrderCount = (data) => {
    return axios.get('dataview/date_range_order_count', { params: data });
}

// 地图配送信息
export const logisticsMapCount = (data) => {
    return axios.get('dataview/logistics_map_count', { params: data });
}

// 首页地图镇级统计信息
export const townMapCoun = (data) => {
    return axios.get('dataview/town_map_count', { params: data });
}